Subject: Re: Problems with dd
From: Bob McGowan <[email-masked]>
To: Jim Harris <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Apr 2001 17:32:53 -0700

The form you're using basically refers to the floppy as a filesystem.  You need a raw device.  Use //./a: or, better and easier to remember, do a 'mount -b //./a: /dev/fd0'
and then use the /dev/fd0 with dd.

This subject has been discussed numerous times in the mailing list.  There may be more/additional useful info there.

Jim Harris wrote:
> 
> I am using Cygwin on a Windows 2000 machine - I am not logged in as
> Administrator, but I am a local administrator on this machine (I don't think
> permissions are the culprit here, but I'm including this just in case).  I
> am trying to write an image to a floppy diskette using:
> 
>   dd if=boot.img of=//a
> 
> "//a" is the only way I see any activity in the floppy drive ("a:" doesn't
> work) - I hear some spinning, but then I get the following message:
> 
>   dd: //a: Permission denied
> 
> If I try reading a floppy image using:
> 
>   dd if=//a of=foo.img
> 
> I get the following message:
> 
>   dd: //a: Invalid argument
>   0+0 records in
>   0+0 records out
> 
> Can 'dd' be used to read/write images from/to a floppy?  It seems like '//a'
> refers to the root directory of the floppy, rather than the device itself
> (i.e. /dev/fd0 in Linux).  Is there a syntax I can use to write an image to
> a floppy?
> 
> Any help would be appreciated.
> 
> Regards,
> 
> Jim Harris
> 
> _________________________________________________________________
> Get your FREE download of MSN Explorer at http://explorer.msn.com
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple